org.wso2.carbon.device.mgt.mobile.windows.api.operations.util

## Class Constants

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.operations.util.Constants

-     public class Constants
      extends Object

  Constant values used in syncml generator.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `Constants.SyncmlMessageCodes` SyncmML message related constants.
    `class` | `Constants.SyncMLResponseCodes` SynclML service related constants.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ADD`
    `static String` | `ALERT`
    `static String` | `ATOMIC`
    `static String` | `CHALLENGE`
    `static String` | `COMMAND`
    `static String` | `COMMAND_ID`
    `static String` | `COMMAND_REFERENCE`
    `static String` | `CRED_FORMAT`
    `static String` | `CRED_TYPE`
    `static String` | `CREDENTIAL`
    `static String` | `DATA`
    `static String` | `DELETE`
    `static String` | `DISENROLL_ALERT_DATA`
    `static int` | `EMPTY`
    `static String` | `EXECUTE`
    `static String` | `FINAL`
    `static String` | `FORMAT`
    `static String` | `GET`
    `static String` | `INITIAL_ALERT_DATA`
    `static String` | `INITIAL_NONCE`
    `static String` | `INITIAL_WIN10_ALERT_DATA`
    `static String` | `ITEM`
    `static String` | `LOC_NAME`
    `static String` | `LOC_URI`
    `static String` | `MD5`
    `static String` | `MESSAGE_ID`
    `static String` | `MESSAGE_REFERENCE`
    `static String` | `META`
    `static String` | `META_FORMAT_CHARACTER`
    `static String` | `META_FORMAT_INT`
    `static String` | `META_NAMESPACE`
    `static String` | `NEXTNONCE`
    `static String` | `PROVIDER_ID`
    `static String` | `REPLACE`
    `static String` | `RESULTS`
    `static String` | `SCOPE`
    `static String` | `SEQUENCE`
    `static String` | `SERVER_SECRET`
    `static String` | `SESSION_ID`
    `static String` | `SOURCE`
    `static String` | `STATUS`
    `static String` | `SYNC_BODY`
    `static String` | `SYNC_HDR`
    `static String` | `SYNCML_ROOT_ELEMENT_NAME`
    `static String` | `TARGET`
    `static String` | `TARGET_REFERENCE`
    `static String` | `TYPE`
    `static String` | `UTF_8`
    `static String` | `VER_DTD`
    `static String` | `VER_DTD_VALUE`
    `static String` | `VER_PROTOCOL`
    `static String` | `VER_PROTOCOL_VALUE`
    `static String` | `XMLNS`
    `static String` | `XMLNS_SYNCML`
    `static String` | `YES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

    - #### SERVER_SECRET

          public static final String SERVER_SECRET

      See Also:
        Constant Field Values

    - #### INITIAL_NONCE

          public static final String INITIAL_NONCE

      See Also:
        Constant Field Values

    - #### DISENROLL_ALERT_DATA

          public static final String DISENROLL_ALERT_DATA

      See Also:
        Constant Field Values

    - #### INITIAL_ALERT_DATA

          public static final String INITIAL_ALERT_DATA

      See Also:
        Constant Field Values

    - #### INITIAL_WIN10_ALERT_DATA

          public static final String INITIAL_WIN10_ALERT_DATA

      See Also:
        Constant Field Values

    - #### EMPTY

          public static final int EMPTY

      See Also:
        Constant Field Values

    - #### SYNCML_ROOT_ELEMENT_NAME

          public static final String SYNCML_ROOT_ELEMENT_NAME

      See Also:
        Constant Field Values

    - #### XMLNS_SYNCML

          public static final String XMLNS_SYNCML

      See Also:
        Constant Field Values

    - #### UTF_8

          public static final String UTF_8

      See Also:
        Constant Field Values

    - #### MD5

          public static final String MD5

      See Also:
        Constant Field Values

    - #### YES

          public static final String YES

      See Also:
        Constant Field Values

    - #### EXECUTE

          public static final String EXECUTE

      See Also:
        Constant Field Values

    - #### ATOMIC

          public static final String ATOMIC

      See Also:
        Constant Field Values

    - #### ADD

          public static final String ADD

      See Also:
        Constant Field Values

    - #### COMMAND_ID

          public static final String COMMAND_ID

      See Also:
        Constant Field Values

    - #### GET

          public static final String GET

      See Also:
        Constant Field Values

    - #### DELETE

          public static final String DELETE

      See Also:
        Constant Field Values

    - #### ITEM

          public static final String ITEM

      See Also:
        Constant Field Values

    - #### SOURCE

          public static final String SOURCE

      See Also:
        Constant Field Values

    - #### LOC_URI

          public static final String LOC_URI

      See Also:
        Constant Field Values

    - #### LOC_NAME

          public static final String LOC_NAME

      See Also:
        Constant Field Values

    - #### MESSAGE_REFERENCE

          public static final String MESSAGE_REFERENCE

      See Also:
        Constant Field Values

    - #### COMMAND_REFERENCE

          public static final String COMMAND_REFERENCE

      See Also:
        Constant Field Values

    - #### COMMAND

          public static final String COMMAND

      See Also:
        Constant Field Values

    - #### TARGET_REFERENCE

          public static final String TARGET_REFERENCE

      See Also:
        Constant Field Values

    - #### DATA

          public static final String DATA

      See Also:
        Constant Field Values

    - #### STATUS

          public static final String STATUS

      See Also:
        Constant Field Values

    - #### SYNC_BODY

          public static final String SYNC_BODY

      See Also:
        Constant Field Values

    - #### SYNC_HDR

          public static final String SYNC_HDR

      See Also:
        Constant Field Values

    - #### VER_DTD

          public static final String VER_DTD

      See Also:
        Constant Field Values

    - #### VER_PROTOCOL

          public static final String VER_PROTOCOL

      See Also:
        Constant Field Values

    - #### SESSION_ID

          public static final String SESSION_ID

      See Also:
        Constant Field Values

    - #### MESSAGE_ID

          public static final String MESSAGE_ID

      See Also:
        Constant Field Values

    - #### TARGET

          public static final String TARGET

      See Also:
        Constant Field Values

    - #### VER_DTD_VALUE

          public static final String VER_DTD_VALUE

      See Also:
        Constant Field Values

    - #### VER_PROTOCOL_VALUE

          public static final String VER_PROTOCOL_VALUE

      See Also:
        Constant Field Values

    - #### ALERT

          public static final String ALERT

      See Also:
        Constant Field Values

    - #### FINAL

          public static final String FINAL

      See Also:
        Constant Field Values

    - #### REPLACE

          public static final String REPLACE

      See Also:
        Constant Field Values

    - #### META

          public static final String META

      See Also:
        Constant Field Values

    - #### CREDENTIAL

          public static final String CREDENTIAL

      See Also:
        Constant Field Values

    - #### FORMAT

          public static final String FORMAT

      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

    - #### NEXTNONCE

          public static final String NEXTNONCE

      See Also:
        Constant Field Values

    - #### CHALLENGE

          public static final String CHALLENGE

      See Also:
        Constant Field Values

    - #### META_NAMESPACE

          public static final String META_NAMESPACE

      See Also:
        Constant Field Values

    - #### XMLNS

          public static final String XMLNS

      See Also:
        Constant Field Values

    - #### RESULTS

          public static final String RESULTS

      See Also:
        Constant Field Values

    - #### CRED_FORMAT

          public static final String CRED_FORMAT

      See Also:
        Constant Field Values

    - #### CRED_TYPE

          public static final String CRED_TYPE

      See Also:
        Constant Field Values

    - #### SEQUENCE

          public static final String SEQUENCE

      See Also:
        Constant Field Values

    - #### META_FORMAT_INT

          public static final String META_FORMAT_INT

      See Also:
        Constant Field Values

    - #### META_FORMAT_CHARACTER

          public static final String META_FORMAT_CHARACTER

      See Also:
        Constant Field Values

    - #### SCOPE

          public static final String SCOPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()

Copyright © 2017 WSO2. All rights reserved.